Bug 473750 - gpk-install-local-file has no OK button in case of unsigned package
gpk-install-local-file has no OK button in case of unsigned package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 03:36 EST by Julian Sikorski
Modified: 2008-12-12 10:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.3.12-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-12 10:31:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot showing the erroneous behaviour (16.66 KB, image/png)
2008-11-30 03:36 EST, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2008-11-30 03:36:11 EST
Created attachment 325114 [details]
screenshot showing the erroneous behaviour

Description of problem:
When you try to install an unsigned file, the dialog asking if you really want to do it will only have a "Close" button and no "OK" one, thus it is impossible to complete the transaction. See screenshot for details.

Version-Release number of selected component (if applicable):
0.3.11-1.fc10

How reproducible:
always

Steps to Reproduce:
1. gpk-install-local-file foo.rpm
2. click "Install"
  
Actual results:
Next dialog has no OK button

Expected results:
OK dialog is present

Additional info:
0.3.10-1.fc10 worked perfectly fine.
Comment 1 Richard Hughes 2008-12-01 07:54:52 EST
I'm building a fix in http://koji.fedoraproject.org/koji/taskinfo?taskID=965965
Comment 2 Julian Sikorski 2008-12-01 09:16:01 EST
That build seems to fix the problem.

Note You need to log in before you can comment on or make changes to this bug.